package ch.hevs.isi.field;

import ch.hevs.isi.core.FloatDataPoint;

public class FloatRegister extends ModbusRegister{
    private Float value;
    private FloatDataPoint dataPoint;

    public FloatRegister(String label, boolean isOutPut, int address) {
        this.dataPoint = new FloatDataPoint(label, isOutPut);
        updateMapOfRegisters(dataPoint,address);
    }

    @Override
    public void read() {
        dataPoint.setValue(ModbusAccessor.getMySelf().readFloat(address));
    }

    @Override
    public void write() {
        ModbusAccessor.getMySelf().writeFloat(address, dataPoint.getValue());
    }
}